python testSimp.py 
python printPklFile.py results/cmRoomBind.pkl > autoResults/nestSimpRoomBind.sp
python printPklFile.py results/cmState.pkl > autoResults/nestSimpState.sp
python printPklFile.py results/cmExploreWaitTimer.pkl > autoResults/nestSimpExploreWaitTimer.sp

python testExplore.py 
python printPklFile.py results/cmRoomBind.pkl > autoResults/nestExploreRoomBind.sp
python printPklFile.py results/cmState.pkl > autoResults/nestExploreState.sp
python printPklFile.py results/cmExploreWaitTimer.pkl > autoResults/nestExploreExploreWaitTimer.sp
python printPklFile.py results/cmInShape.pkl > autoResults/nestExploreInShape.sp
python printPklFile.py results/cmBindStopBindTimer.pkl > autoResults/nestExploreBindStopBindTimer.sp
python printPklFile.py results/cmStopNextTimer.pkl > autoResults/nestExploreStopNextTimer.sp
python printPklFile.py results/cmNextWaitTimer.pkl > autoResults/nestExploreNextWaitTimer.sp
python printPklFile.py results/cmNextRoom.pkl > autoResults/nestExploreNextRoom.sp
python printPklFile.py results/cmShapeBind.pkl > autoResults/nestExploreShapeBind.sp

python testOneShape.py  
python printPklFile.py results/cmRoomBind.pkl > autoResults/nestOneRoomBind.sp
python printPklFile.py results/cmState.pkl > autoResults/nestOneState.sp
python printPklFile.py results/cmExploreWaitTimer.pkl > autoResults/nestOneExploreWaitTimer.sp
python printPklFile.py results/cmInShape.pkl > autoResults/nestOneInShape.sp
python printPklFile.py results/cmBindStopBindTimer.pkl > autoResults/nestOneBindStopBindTimer.sp
python printPklFile.py results/cmStopNextTimer.pkl > autoResults/nestOneStopNextTimer.sp
python printPklFile.py results/cmNextWaitTimer.pkl > autoResults/nestOneNextWaitTimer.sp
python printPklFile.py results/cmNextRoom.pkl > autoResults/nestOneNextRoom.sp
python printPklFile.py results/cmShapeBind.pkl > autoResults/nestOneShapeBind.sp
python printPklFile.py results/cmSignalState.pkl > autoResults/nestOneSignalState.sp

python testFourShapes.py 
python printPklFile.py results/cmRoomBind.pkl > autoResults/nestFourRoomBind.sp
python printPklFile.py results/cmState.pkl > autoResults/nestFourState.sp
python printPklFile.py results/cmExploreWaitTimer.pkl > autoResults/nestFourExploreWaitTimer.sp
python printPklFile.py results/cmInShape.pkl > autoResults/nestFourInShape.sp
python printPklFile.py results/cmBindStopBindTimer.pkl > autoResults/nestFourBindStopBindTimer.sp
python printPklFile.py results/cmStopNextTimer.pkl > autoResults/nestFourStopNextTimer.sp
python printPklFile.py results/cmNextWaitTimer.pkl > autoResults/nestFourNextWaitTimer.sp
python printPklFile.py results/cmNextRoom.pkl > autoResults/nestFourNextRoom.sp
python printPklFile.py results/cmRoomBind.pkl > autoResults/nestFourRoomBind.sp
python printPklFile.py results/cmShapeBind.pkl > autoResults/nestFourShapeBind.sp
python printPklFile.py results/cmSignalState.pkl > autoResults/nestFourSignalState.sp
python printPklFile.py results/cmPriorPriorRoomTimer.pkl > autoResults/nestFourPriorPriorRoomTimer.sp 
 
python testFullCogmap.py 
python printPklFile.py results/cmRoomBind.pkl > autoResults/nestFullRoomBind.sp
python printPklFile.py results/cmState.pkl > autoResults/nestFullState.sp
python printPklFile.py results/cmExploreWaitTimer.pkl > autoResults/nestFullExploreWaitTimer.sp
python printPklFile.py results/cmInShape.pkl > autoResults/nestFullInShape.sp
python printPklFile.py results/cmBindStopBindTimer.pkl > autoResults/nestFullBindStopBindTimer.sp
python printPklFile.py results/cmStopNextTimer.pkl > autoResults/nestFullStopNextTimer.sp
python printPklFile.py results/cmNextWaitTimer.pkl > autoResults/nestFullNextWaitTimer.sp
python printPklFile.py results/cmNextRoom.pkl > autoResults/nestFullNextRoom.sp
python printPklFile.py results/cmOutShape.pkl > autoResults/nestFullOutShape.sp
python printPklFile.py results/cmShapeBind.pkl > autoResults/nestFullShapeBind.sp
python printPklFile.py results/cmSignalState.pkl > autoResults/nestFullSignalState.sp
python printPklFile.py results/cmPriorPriorRoomTimer.pkl > autoResults/nestFullPriorPriorRoomTimer.sp 


echo "diffs"
echo "Simple"
diff autoResults/nestSimpRoomBind.sp storedResults/nestSimpRoomBind.sp
echo "  State"
diff autoResults/nestSimpState.sp storedResults/nestSimpState.sp
echo "  Timer"
diff autoResults/nestSimpExploreWaitTimer.sp storedResults/nestSimpExploreWaitTimer.sp

echo "Explore"
diff autoResults/nestExploreRoomBind.sp storedResults/nestExploreRoomBind.sp
echo "  State"
diff autoResults/nestExploreState.sp storedResults/nestExploreState.sp
echo "  Explore Timer"
diff autoResults/nestExploreExploreWaitTimer.sp storedResults/nestExploreExploreWaitTimer.sp
echo "  InShape"
diff autoResults/nestExploreInShape.sp storedResults/nestExploreInShape.sp
echo "  BS Timer"
diff autoResults/nestExploreBindStopBindTimer.sp storedResults/nestExploreBindStopBindTimer.sp
echo "  StopNext Timer"
diff autoResults/nestExploreStopNextTimer.sp storedResults/nestExploreStopNextTimer.sp
echo "  NextWait Timer" 
diff autoResults/nestExploreNextWaitTimer.sp storedResults/nestExploreNextWaitTimer.sp
echo "  Next Room"
diff autoResults/nestExploreNextRoom.sp storedResults/nestExploreNextRoom.sp
echo "  Room Bind"
diff autoResults/nestExploreRoomBind.sp storedResults/nestExploreRoomBind.sp
echo "  Shape Bind"
diff autoResults/nestExploreShapeBind.sp storedResults/nestExploreShapeBind.sp

echo "OneRoom"
diff autoResults/nestOneRoomBind.sp storedResults/nestOneRoomBind.sp
echo "  State"
diff autoResults/nestOneState.sp storedResults/nestOneState.sp
echo "  Explore Wait Timer"
diff autoResults/nestOneExploreWaitTimer.sp storedResults/nestOneExploreWaitTimer.sp
echo "  InShape"
diff autoResults/nestOneInShape.sp storedResults/nestOneInShape.sp
echo "  BS Timer"
diff autoResults/nestOneBindStopBindTimer.sp storedResults/nestOneBindStopBindTimer.sp
echo "  StopNext Timer"
diff autoResults/nestOneStopNextTimer.sp storedResults/nestOneStopNextTimer.sp
echo "  NextWait Timer"
diff autoResults/nestOneNextWaitTimer.sp storedResults/nestOneNextWaitTimer.sp
echo "  Next Room"
diff autoResults/nestOneNextRoom.sp storedResults/nestOneNextRoom.sp
echo "  Room Bind"
diff autoResults/nestOneRoomBind.sp storedResults/nestOneRoomBind.sp
echo "  Shape Bind"
diff autoResults/nestOneShapeBind.sp storedResults/nestOneShapeBind.sp
echo "  Signal State"
diff autoResults/nestOneSignalState.sp storedResults/nestOneSignalState.sp

echo "FourRooms"
diff autoResults/nestFourRoomBind.sp storedResults/nestFourRoomBind.sp
echo "  State"
diff autoResults/nestFourState.sp storedResults/nestFourState.sp
echo "  Explore Wait Timer"
diff autoResults/nestFourExploreWaitTimer.sp storedResults/nestFourExploreWaitTimer.sp
echo "  InShape"
diff autoResults/nestFourInShape.sp storedResults/nestFourInShape.sp
echo "  BS Timer"
diff autoResults/nestFourBindStopBindTimer.sp storedResults/nestFourBindStopBindTimer.sp
echo "  StopNext Timer"
diff autoResults/nestFourStopNextTimer.sp storedResults/nestFourStopNextTimer.sp
echo "  NextWait Timer"
diff autoResults/nestFourNextWaitTimer.sp storedResults/nestFourNextWaitTimer.sp
echo "  Next Room"
diff autoResults/nestFourNextRoom.sp storedResults/nestFourNextRoom.sp
echo "  Room Bind"
diff autoResults/nestFourRoomBind.sp storedResults/nestFourRoomBind.sp
echo "  Shape Bind"
diff autoResults/nestFourShapeBind.sp storedResults/nestFourShapeBind.sp
echo "  Signal State"
diff autoResults/nestFourSignalState.sp storedResults/nestFourSignalState.sp
echo "  PriorPrior Timer"
diff autoResults/nestFourPriorPriorRoomTimer.sp storedResults/nestFourPriorPriorRoomTimer.sp

echo "Full Test"
diff autoResults/nestFullRoomBind.sp storedResults/nestFullRoomBind.sp
echo "  State"
diff autoResults/nestFullState.sp storedResults/nestFullState.sp
echo "  Explore Wait Timer"
diff autoResults/nestFullExploreWaitTimer.sp storedResults/nestFullExploreWaitTimer.sp
echo "  InShape"
diff autoResults/nestFullInShape.sp storedResults/nestFullInShape.sp
echo "  BS Timer"
diff autoResults/nestFullBindStopBindTimer.sp storedResults/nestFullBindStopBindTimer.sp
echo "  StopNext Timer"
diff autoResults/nestFullStopNextTimer.sp storedResults/nestFullStopNextTimer.sp
echo "  NextWait Timer"
diff autoResults/nestFullNextWaitTimer.sp storedResults/nestFullNextWaitTimer.sp
echo "  Next Room"
diff autoResults/nestFullNextRoom.sp storedResults/nestFullNextRoom.sp
echo "  Shape Bind"
diff autoResults/nestFullShapeBind.sp storedResults/nestFullShapeBind.sp
echo "  Signal State"
diff autoResults/nestFullSignalState.sp storedResults/nestFullSignalState.sp
echo "  PriorPrior Timer"
diff autoResults/nestFullPriorPriorRoomTimer.sp storedResults/nestFullPriorPriorRoomTimer.sp
